@echo off
@REM Seamonkey420's TV2iTunes Batch File
@REM created on: 9/6/2010

@REM For Windows Media Center and MCEBuddy and AtomicParsley
@REM This will tag mp4s encoded by mcebuddy for iTunes import
@REM and also copy the file to iTunes folders

@REM the token numbers will vary depending on your folder structure
@REM This configation assumes you are using default windows 7 tv 
@REM naming structure for recorded tv (no registry edits)

@REM RECOMMENDED TO TEST IN A TEMP DIR FIRST!!
@REM to debug, change 1st line to: @echo on and remove REM from last line so just PAUSE
@REM also remove the > NUL from the end to display any errors outputs

@REM calculating paths
@REM mcebuddy dir length
@REM 5 (tokens 5-12)
@REM 4 (tokens 4-11)
@REM 3 (tokens 3-10)
@REM 2 (tokens 2-9


@REM Set variables according to your system!

SET mcebuddydir=C:\Test
SET tvdir=C:\Users\Public\Recorded TV
SET itunesAuto=C:\Users\Public\Music\iTunes\Automatically Add to iTunes
SET itunesTV=C:\Users\Public\Music\iTunes\TV Shows
SET tokenNo=3-10


@REM This line will check your tvdir for file types listed.
@REM If it sees a mp4 of your wtv file, it will assume its encoded
@REM and pass it onto AtomicParsley to tag for iTunes
echo Running...:

for /f "tokens=%tokenNo% delims=_\" %%a in ('dir /s/b "%mcebuddydir%\*.mp4"') do if NOT EXIST "%tvdir%\%%a_%%b_%%c_%%d_%%e_%%f_%%g_%%h.logo.txt" (AtomicParsley.exe "%mcebuddydir%\%%a_%%b_%%c_%%d_%%e_%%f_%%g_%%h" --TVShowName "%%a" --genre "TV Shows" --stik "TV Show" --TVNetwork %%b --year %%c --artwork "covers\%%a.jpg" --overWrite) > NUL

@REM This adds to the iTunes Watch Folder

for /f "tokens=%tokenNo% delims=_\" %%a in ('dir /s/b "%mcebuddydir%\*.mp4"') do if NOT EXIST "%itunesTV%\%%a\%%a_%%c-%%d-%%e-%%f%%g.mp4" (copy "%mcebuddydir%\%%a_%%b_%%c_%%d_%%e_%%f_%%g_%%h" "%itunesAuto%\%%a_%%c-%%d-%%e-%%f%%g.mp4") > NUL


@REM Debug/Log file creation, remove REMs to enable

REM for /f "tokens=%tokenNo% delims=_\" %%a in ('dir /s/b "%mcebuddydir%\*.mp4"') do if EXIST "%itunesTV%\%%a\%%a_%%c-%%d-%%e-%%f%%g.mp4" (date /t >> "%mcebuddydir%\jimbatch.log") 
REM for /f "tokens=%tokenNo% delims=_\" %%a in ('dir /s/b "%mcebuddydir%\*.mp4"') do if EXIST "%itunesTV%\%%a\%%a_%%c-%%d-%%e-%%f%%g.mp4" (echo "%%a_%%b_%%c_%%d_%%e_%%f_%%g_%%h" >> %mcebuddydir%\jimbatch.log)

@REM Default is not to delete, remove REM from line below
@REM Deletion of files copied to itunes done next time batch is ran if
@REM enabled (ie movie1 copied on mon, gets deleted on tues or next run
@REM of batch file from mcebuddydir)

REM for /f "tokens=%tokenNo% delims=_\" %%a in ('dir /s/b "%mcebuddydir%\*.mp4"') do if EXIST "%itunesTV%\%%a\%%a_%%c-%%d-%%e-%%f%%g.mp4" (del /Q "%mcebuddydir%\%%a_%%b_%%c_%%d_%%e_%%f_%%g_%%h")

REM PAUSE